找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
热搜: 活动 交友 discuz
查看: 117|回复: 0

更改 AcDbMText 对象的背景掩码属性

[复制链接]

1

主题

0

回帖

37

积分

管理员

积分
37
发表于 2024-6-5 07:56:53 | 显示全部楼层 |阅读模式
  1. void test采用setBackgroundFill采用MText()
  2. {
  3.   ads采用name ename;
  4.   ads采用point p;
  5.   // select the entity
  6.   int res = acedEntSel(采用T("Please pick an MText entity: "), ename, p );
  7.   // if ok
  8.   if (res == RTNORM)
  9.   {
  10.     AcDbObjectId oId;
  11.     acdbGetObjectId( oId, ename );
  12.     AcDbObjectPointer<AcDbMText> pMText(oId, AcDb::kForWrite);
  13.     if(pMText.openStatus() == Acad::eOk)
  14.     {
  15.       AcCmColor color;
  16.       if(pMText->backgroundFillOn())
  17.       {
  18.         pMText->setUseBackgroundColor(false);
  19.         pMText->setBackgroundFill(false);
  20.       }
  21.       else
  22.       {
  23.         pMText->setBackgroundFill(true);
  24.         color.setColorIndex(1);
  25.         pMText->setBackgroundFillColor(color);
  26.         pMText->setUseBackgroundColor(false);
  27.       }
  28.     }
  29.     else
  30.       acutPrintf(采用T("\nError - you need to select an MText entity..."));
  31.   }
  32. }
复制代码
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|膜结构网

GMT+8, 2025-1-6 15:41 , Processed in 0.123301 second(s), 21 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表